### Method

# Shell WindowTracker get_app_from_pid

#### Declaration [src]

    ShellApp*
    shell_window_tracker_get_app_from_pid (
      ShellWindowTracker* tracker,
      int pid
    )

#### Description [src]

Look up the application corresponding to a process.

#### Parameters

`pid`

  Type: `int`

  A Unix process identifier.

#### Return value

Type: `ShellApp`

A `ShellApp`, or `NULL` if none.

The data is owned by the instance.